Update a customer’s profile information and address
curl -X PUT https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}
Updates a customer’s profile information including personal details and address. Only the customer who owns the account can update their profile.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/klvxn/ecommerce-api/llms.txt
Use this file to discover all available pages before exploring further.
Show Address properties
curl -X PUT https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}
curl -X PUT https://api.example.com/api/v1/customers/123/ \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": {
"street_address": "456 Oak Avenue",
"postal_code": 54321,
"city": "Los Angeles",
"state": "California",
"country": "United States"
}
}